complexType "MultipleValuationDates"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | businessDays?, businessDaysThereafter?, numberValuationDates?
</...>

Content Model Elements (3):

  businessDays (defined in SingleValuationDate complexType), businessDaysThereafter, | numberValuationDates

All Direct / Indirect Based Elements (1):

  multipleValuationDates

Known Usage Locations

- As direct type of elements (1):
  multipleValuationDates

Type Definition Detail

Type Derivation Tree SingleValuationDate (extension) MultipleValuationDates

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="MultipleValuationDates"> <xsd:complexContent> <xsd:extension base="SingleValuationDate"> <xsd:sequence> <xsd:element minOccurs="0" name="businessDaysThereafter" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="numberValuationDates" type="xsd:positiveInteger"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/3)
businessDaysThereafter

  Type: | xsd:positiveInteger, predefined, simple content

  The number of business days between successive valuation dates when multiple valuation dates are applicable for cash settlement. ISDA 2003 Term: Business Days thereafter
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="businessDaysThereafter" type="xsd:positiveInteger"/>

numberValuationDates

  Type: | xsd:positiveInteger, predefined, simple content

  Where multiple valuation dates are specified as being applicable for cash settlement, this element specifies (a) the number of applicable valuation dates, and (b) the number of business days after satisfaction of all conditions to settlement when the first such valuation date occurs, and (c) the number of business days thereafter of each successive valuation date. ISDA 2003 Term: Multiple Valuation Dates
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="numberValuationDates" type="xsd:positiveInteger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.